]> arthur.barton.de Git - bup.git/blobdiff - cmd/on--server-cmd.py
INTEGRAL_ASSIGNMENT_FITS: actually provide return value for clang
[bup.git] / cmd / on--server-cmd.py
index a6f3e2188719d7c9e922f03e07c2a4c3ba33046b..64e79d294ad1343eaeb38891668d7081149da3c5 100755 (executable)
@@ -1,6 +1,15 @@
-#!/usr/bin/env python
+#!/bin/sh
+"""": # -*-python-*-
+bup_python="$(dirname "$0")/bup-python" || exit $?
+exec "$bup_python" "$0" ${1+"$@"}
+"""
+# end of bup preamble
+
+from __future__ import absolute_import
 import sys, os, struct
-from bup import options, helpers
+
+from bup import options, helpers, path
+
 
 optspec = """
 bup on--server
@@ -23,6 +32,7 @@ assert(sz < 1000000)
 buf = sys.stdin.read(sz)
 assert(len(buf) == sz)
 argv = buf.split('\0')
+argv[0] = path.exe()
 argv = [argv[0], 'mux', '--'] + argv
 
 # stdin/stdout are supposedly connected to 'bup server' that the caller